Package ru.bitel.bgbilling.modules.npay.server.utils

# Class NpayUtils

java.lang.Object
ru.bitel.bgbilling.modules.npay.server.utils.NpayUtils

public class NpayUtils extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NpayUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BigDecimal`
  `getAmountForUnlock(Connection con, int moduleId, int contractId)`
  Для заблокированных дебетовых договоров возвращает сумму платежа необходимого для разблокировки.
  `static BigDecimal`
  `getAmountForUnlock(Connection con, int moduleId, int contractId, DebetStatusManageConfig config, ContractLabelManager contractLabelManager)`
  Для заблокированных дебетовых договоров возвращает сумму платежа необходимого для разблокировки.
  `static BigDecimal`
  `getServiceCost(int moduleId, int contractId, int serviceId, Date dateFrom, Date dateTo, int status)`
  `static BigDecimal`
  `precalculateAccount(int moduleId, int serviceSet, int contractId, Date dateFrom, Date dateTo, int status)`
  Будущая наработка для определения рекомендуемой к оплате суммы.
  `static ServiceCostCache`
  `precalculateServiceCost(int moduleId, int serviceSet, int contractId, Date dateFrom, Date dateTo, int status)`
  Будущая наработка для определения рекомендуемой к оплате суммы.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NpayUtils

    public NpayUtils()

- ## Method Details

  - ### getAmountForUnlock

    public static BigDecimal getAmountForUnlock(Connection con, int moduleId, int contractId) throws Exception
    Для заблокированных дебетовых договоров возвращает сумму платежа необходимого для разблокировки.
    Parameters:
      `con` -
      `moduleId` -
      `contractId` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `Exception`

  - ### getAmountForUnlock

    public static BigDecimal getAmountForUnlock(Connection con, int moduleId, int contractId, DebetStatusManageConfig config, ContractLabelManager contractLabelManager) throws Exception
    Для заблокированных дебетовых договоров возвращает сумму платежа необходимого для разблокировки.
    Parameters:
      `con` -
      `moduleId` -
      `contractId` -
      `config` -
      `contractManager` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `Exception`

  - ### precalculateServiceCost

    public static ServiceCostCache precalculateServiceCost(int moduleId, int serviceSet, int contractId, Date dateFrom, Date dateTo, int status) throws ru.bitel.bgbilling.common.BGException
    Будущая наработка для определения рекомендуемой к оплате суммы.
    Parameters:
      `moduleId` - ID модуля.
      `serviceSet` - набор услуг модуля.
      `contractId` - ID договора.
      `dateFrom` - дата начала активности договора (должна быть в одном месяце с dateTo).
      `dateTo` - дата окончания активности договора (должна быть в одном месяце с dateFrom).
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### precalculateAccount

    public static BigDecimal precalculateAccount(int moduleId, int serviceSet, int contractId, Date dateFrom, Date dateTo, int status) throws ru.bitel.bgbilling.common.BGException
    Будущая наработка для определения рекомендуемой к оплате суммы.
    Parameters:
      `moduleId` - ID модуля.
      `serviceSet` - набор услуг модуля.
      `contractId` - ID договора.
      `dateFrom` - дата начала активности договора (должна быть в одном месяце с dateTo).
      `dateTo` - дата окончания активности договора (должна быть в одном месяце с dateFrom).
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getServiceCost

    public static BigDecimal getServiceCost(int moduleId, int contractId, int serviceId, Date dateFrom, Date dateTo, int status) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`